basePathForIcons = 'styles/notes/'
basePathForCommonIcons = 'images/common/'
DFrameAPI.preLoadImagesForButtonImage('CloseDFrame', basePathForCommonIcons,'close-off.gif', 'close-on.gif', 'close-off.gif', 'close-on.gif')
DFrameAPI.preLoadImagesForButtonImage('arrows', basePathForCommonIcons,'menuArrow-Close.gif', '', 'menuArrow-Open.gif', '')

var baseColor = '#A5C373'
var baseColor2 = '#949E7B'//'#FFCF63'
//===============================================================================
//									ButtonStyle									|
//===============================================================================
var buttonStyle = new ButtonStyle ()
buttonStyle.setBordersWidth(1)
buttonStyle.setWidth (80)

buttonStyle.setHeight (20)
buttonStyle.setActivateOn ('UP')

buttonStyle.setTextNormal ('#000000')
buttonStyle.setBordersNormal (false)

buttonStyle.copyStyle('Normal', 'Roll')
buttonStyle.setBordersRoll ('ThreeD')

buttonStyle.copyStyle('Normal', 'Down')
buttonStyle.setBordersDown ('ThreeDInv')

buttonStyle.copyStyle('Normal', 'Selected')
buttonStyle.setBgSelected('#ffffff')
buttonStyle.setBordersSelected ('ThreeDInv')

buttonStyle.copyStyle('Normal', 'RollSelected')
//===============================================================================
//									menuStyle									|
//===============================================================================
var menuStyle = new MenuStyle ()
menuStyle.setBackgroundColor(baseColor2)
menuStyle.setItemsSpacing (0)
menuStyle.setBordersWidth (0)
menuStyle.setIsTree (true)

menuStyle.setArrowImage('arrows')
//-------------------------------------------------------
//							defaultButtonStyle			!
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setActivateOn('OVER')
menuStyle.setDefaultButtonStyle(x)
//-------------------------------------------------------
//									itemsStyle			!
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setLabelLeftMargin(4)

x.setTextNormal ('#000000')
x.setBgNormal (baseColor2)

x.copyStyle ('Normal', 'Roll')
x.setTextRoll ('#ffffff')
x.setBgRoll	('#000084')

x.copyStyle ('Normal', 'Selected')
x.copyStyle ('Roll', 'RollSelected')
x.copyStyle ('Normal', 'Down')

menuStyle.setItemsStyle(x)
//===============================================================================
//									barStyle									|
//===============================================================================
var barStyle = new BarStyle ()
barStyle.setPos ('TOP')
barStyle.setBackgroundColor(baseColor2)
barStyle.setItemsVAlign('TOP')
barStyle.setHeight(28)
barStyle.setBordersWidth(0)

barStyle.setBackgroundImage (basePathForIcons + 'backForBar.jpg')
//-------------------------------------------------------
//							defaultButton/Menu Styles	!
//-------------------------------------------------------

barStyle.setDefaultButtonStyle(buttonStyle)
//===============================================================================
//									dFrameStyle									|
//===============================================================================
var dFrameStyle = new DFrameStyle ()
dFrameStyle.setBackgroundColor (baseColor)
dFrameStyle.setPos ([0,0,100,100])
dFrameStyle.setContentBgColor (baseColor)
dFrameStyle.setBordersWidth('Auto')
dFrameStyle.setBorderTopWidth(1)
dFrameStyle.setBorderRightWidth(1)
dFrameStyle.setBordersColor('black')
dFrameStyle.setTitleBar(true)

dFrameStyle.setImageBorderL		(basePathForIcons + 'border-L.gif')
dFrameStyle.setImageBorderB		(basePathForIcons + 'border-B.gif')
dFrameStyle.setImageCornerBL	(basePathForIcons + 'corner-BL.gif')

//Default bars
dFrameStyle.setDefaultBarStyle(barStyle)
//-------------------------------------------------------
//							defaultContextMenuStyle		!
//-------------------------------------------------------
var x = new MenuStyle(menuStyle)
x.setBordersWidth (1)
x.setBordersType('ThreeD')
x.setIsTree (false)
dFrameStyle.setDefaultContextMenuStyle(x)
//-------------------------------------------------------
//							defaultTaskBarStyle			!
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setBordersRoll ('ThreeD')
x.setBordersDown ('ThreeDInv')
x.setBordersSelected ('ThreeDInv')
x.setBgSelected('#ffffff')
x.copyStyle ('Roll', 'RollSelected')
var y = new BarStyle(barStyle)
y.setDefaultButtonStyle(x)
y.setItemsVAlign('TOP')
y.setHeight(24)
dFrameStyle.setDefaultTaskBarStyle(y)
//-------------------------------------------------------
//							defaultTitleBarStyle		!
//-------------------------------------------------------
var x = new BarStyle(barStyle)
x.setBackgroundColor('#008000')
x.setBordersWidth(0)
x.setBordersHMargin(5)
x.setBordersVMargin(0)
x.setHeight(1)
x.setButtonImage('CloseDFrame', 'thisDFrame.closeFrame()')
var y = x.getDefaultButtonStyle()
y.setHeight(0)
y.setBordersWidth(0)
y.setLabelTopMargin(1)
y.setLabelBottomMargin(1)
y.setBgNormal(null)
y.setTextNormal('white')
y.setBosNormal(true)
dFrameStyle.setDefaultTitleBarStyle(x)
//-------------------------------------------------------
//							messages attributes			!
//-------------------------------------------------------
dFrameStyle.setMessageFontFamily('MS sans Serif', 'Arial')
dFrameStyle.setMessageFontSize(2)
dFrameStyle.setMessageColor('white')
dFrameStyle.setMessageBgColor(baseColor)



